Subject: Re: [iucg] Glenn Kowack now formally RFC Series Editor (RSE)

From: jefsey <[email-masked]>
Date: Tue, 20 Apr 2010 21:28:34 +0200

Dear Bob,
thank you for all the work you already acheived for all of us.
jfc

On 17:13 20/04/2010, IAB Chair said:
>Dear Colleagues,
>
>I am happy to announce that Bob Braden and Glenn Kowack have 
>completed the handoff of the RFC Series Editor (RSE) role on schedule.
>After 30 June, Bob Braden will continue his involvement in the 
>series through the RSAG, of which he is already a member.  This 
>approach, and the strong cooperation of all the players, is 
>permitting a seamless transition and maintaining the continuity of 
>the RFC Series.  With the completion of this formal appointment, the 
>RFC Editor model advances yet another step.